#version 330

out vec4 outputColor;

uniform sampler2D  cloudTexture;
uniform float      dissolveFactor;

smooth in vec2 vTexCoord;
smooth in vec4 color;

void main(void)
{ 
    vec4 vCloudSample = texture(cloudTexture, vTexCoord);

    if(vCloudSample.r > dissolveFactor)
	{
        discard;
	}
   
   outputColor = color + vec4(0.4, 0.4,0.4,0.0);
}