#version 330
layout(location = 0) in vec4 position;

layout(std140) uniform GlobalMatrices
{
	uniform mat4 perspectiveViewMatrix;
	uniform vec2 windowDimensions;
};

uniform mat4 modelMatrix;

void main()
{
	gl_Position  = perspectiveViewMatrix * modelMatrix * position;
}