#version 330
layout(location = 0) in vec4 position;

layout(std140) uniform GlobalMatrices
{
	uniform mat4 perspectiveViewMatrix;
	uniform vec2 windowDimensions;
};

uniform mat4 modelMatrix;
out vec4 color;

void main()
{
	color = position;
    gl_Position = perspectiveViewMatrix * modelMatrix * position;
}